<?php

// 定义函数来获取客户端信息
function getTerminalType() {
    $userAgent = $_SERVER['HTTP_USER_AGENT'];
    if (preg_match('/Mobile|Android/i', $userAgent)) {
        return "移动设备终端";
    } elseif (preg_match('/Windows/i', $userAgent)) {
        return "电脑终端";
    } elseif (preg_match('/Mac/i', $userAgent)) {
        return "苹果电脑终端";
    } elseif (preg_match('/iPad|iPhone/i', $userAgent)) {
        return "苹果平板或手机终端";
    } elseif (preg_match('/Android|BlackBerry|iPhone|Windows Phone/i', $userAgent)) {
        return "其他移动设备终端";
    }
    return "未知终端类型";
}

function getExternalIP() {
    $headers = [
        'HTTP_CLIENT_IP',
        'HTTP_X_FORWARDED_FOR',
        'HTTP_X_FORWARDED',
        'HTTP_FORWARDED_FOR',
        'HTTP_FORWARDED',
        'REMOTE_ADDR'
    ];
    foreach ($headers as $header) {
        if (!empty($_SERVER[$header])) {
            return $_SERVER[$header];
        }
    }
    return 'UNKNOWN';
}

function saveContent($data, $filename) {
    file_put_contents($filename, $data, FILE_APPEND | LOCK_EX);
}

//// 将Cookies数组转换为字符串
//function getCookiesAsString() {
//    return isset($_COOKIE) ? implode('; ', array_map(
//        function($k, $v) { return "$k=$v"; },
//        array_keys($_COOKIE),
//        $_COOKIE
//    )) : '';
//}

//// 获取所有请求头并格式化为字符串
//function getAllHeadersAsString() {
//    $headers = getallheaders();
//    return isset($headers) ? implode('; ', array_map(
//        function($k, $v) { return "$k: $v"; },
//        array_keys($headers),
//        $headers
//    )) : '';
//}

// 读取文件内容
$filename = 'id.txt';
if (file_exists($filename)) {
    $urls = file($filename, FILE_IGNORE_NEW_LINES | FILE_SKIP_EMPTY_LINES); // 读取文件中的所有行

    if (!empty($urls)) {
        // 随机选择一个URL
        $selected_url = $urls[array_rand($urls)];

        // 记录访问数据
        $ip = getExternalIP();
        $currentDate = date('Ymd'); // 将日期文件名标准化为年-月-日格式
        $currentTime = date('Y-m-d H:i:s');
        $terminalType = getTerminalType();
        $userAgent = $_SERVER['HTTP_USER_AGENT']; // 获取用户代理信息
        $referer = isset($_SERVER['HTTP_REFERER']) ? $_SERVER['HTTP_REFERER'] : 'Direct Access'; // 获取来路信息
        $host = $_SERVER['HTTP_HOST']; // 获取Host信息
        $acceptLanguage = $_SERVER['HTTP_ACCEPT_LANGUAGE']; // 获取Accept-Language信息
        // $cookies = getCookiesAsString(); // 获取Cookies字符串
        // $allHeaders = getAllHeadersAsString(); // 获取所有请求头

        // 组合日志数据为文本格式
        // $long_logData = "$currentTime ---- $ip ---- $terminalType ---- $selected_url ---- $userAgent ---- $referer ---- $host ---- $acceptLanguage ---- $cookies ---- $allHeaders\n";
        $long_logData = "$currentTime ---- $ip ---- $terminalType ---- $selected_url ---- $userAgent ---- $referer ---- $host ---- $acceptLanguage \n";
        $logData = "$currentTime ---- $ip ---- $terminalType ---- $selected_url\n";

        // 保存日志到不同的文件中
        saveContent($long_logData, "logs_$currentDate.txt");
        saveContent($logData, "$currentDate.txt");

        // 输出这个URL
        echo $selected_url;
    } else {
        // echo 'No URLs found in id.txt';
        echo 'https://www.google.com/404/';
    }
} else {
    echo 'File not found';
}








/*
使用方法
第一个按钮
<script>
	function showline() {
		var xmlhttp;
		if (window.XMLHttpRequest)
		{
			xmlhttp=new XMLHttpRequest();
		}
		else
		{
			xmlhttp=new ActiveXObject("Microsoft.XMLHTTP");
		}
		xmlhttp.open("GET","ajax.php",true);
		xmlhttp.send();
		xmlhttp.onreadystatechange=function()
		{
			if (xmlhttp.readyState==4 && xmlhttp.status==200)
			{
				var sjline = xmlhttp.responseText;
				gtag_report_conversion();
				window.location.href =sjline;
			}
		}

	}
</script>
第二个按钮
<script>
	function showline1() {
		var xmlhttp;
		if (window.XMLHttpRequest)
		{
			xmlhttp=new XMLHttpRequest();
		}
		else
		{
			xmlhttp=new ActiveXObject("Microsoft.XMLHTTP");
		}
		xmlhttp.open("GET","ajax.php",true);
		xmlhttp.send();
		xmlhttp.onreadystatechange=function()
		{
			if (xmlhttp.readyState==4 && xmlhttp.status==200)
			{
				var sjline = xmlhttp.responseText;
				gtag_report_conversion();
				window.location.href =sjline;
			}
		}

	}
</script>
*/
?>
